#include <bits/stdc++.h>

using namespace std;

struct broj
{
    long int x;
    double procenat;
};
broj a[200001];
long long int sum=0;
double maks=-1;
double tren;
double proc;

bool poredak(broj p,broj q)
{
    if(p.procenat>q.procenat) return true;
    else return false;
}

int main()
{
    long int n;
    scanf("%ld",&n);
    for(long int i=0;i<n;i++)
    {
        scanf("%ld%lf",&(a[i].x),&(a[i].procenat));
    }
    sort(a,a+n,poredak);
    for(long int i=0;i<n;i++)
    {
        sum+=a[i].x;
        tren=sum*(a[i].procenat);
        if(tren>maks) maks=tren;

    }
    printf("%lf",maks/100);
    return 0;
}